Subject: Re: signal delivery problem (with pthreads)
From: "Valery A. Frolov" <[email-masked]>
To: [email-masked]
Date: Sun, 26 Sep 2004 00:03:02 +0300

On Wed, 22 Sep 2004 13:57:26 +0100, Dave Korn wrote:
>> So could someone who got the _successful_ run of sig_bug.exe with recently
>> (>1.5.7-1) releases or snapshots of cygwin1.dll send it 
>> (sig_bug.exe) to my personal e-mail? 
> 
>   Well, here you go; source as well, just in case you have more than one
> version of your testcase lying around, so you know exactly what I was
> compiling.

Thanks to Dave Korn for his copy of sb.exe. Well, it has been crashed
too. Almost all the time (at least for me). With 1.5.11-1 and 20040924.
And once with 1.5.7-1  >:-[  ] , which I've never seen before.
After that I'm feeling doubts about right of my doings. :)

Please note, I've executed sb.exe from cmd.exe, not from bash/ash/etc.
And I've placed sb.exe on diskette(!) and cygwin1.dll in the current
directory on hard disk. In case of placing sb.exe with cygwin1.dll on
hard disk I have (almost) never got the stackdump file or it has only
the first line.

The contents of sb.exe.stackdump (with 1.5.11-1):

Exception: STATUS_ACCESS_VIOLATION at eip=00000001
eax=0000001F ebx=4155835A ecx=00CCF0C0 edx=0000001F esi=00000001 edi=00CCF040
ebp=00CCF058 esp=00CCF020 program=a:\sb.exe, pid 120, thread unknown (0x7D)
cs=001B ds=0023 es=0023 fs=0038 gs=0000 ss=0023
Stack trace:
Frame     Function  Args
00CCF058  00000001  (00000003, 10021380, 00CCF0A8, 610A940A)
00CCF068  004011AE  (00000000, FFFFFFFF, 00000000, 00000000)
00CCF0A8  610A940A  (10021380, 00CCF0E0, 610A9390, 00000000)
00CCF0D8  61003E84  (00000000, 00000000, 00000000, 00000000)
00CCFFA8  61003E3A  (00000000, 00000000, 00000000, 00000000)
End of stack trace

Maybe I need to build my own version of cygwin1.dll with debug information
turned on but I have never done it before.

WBR,
 Valery

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/